### org.jfree.layouting.input.style.values

# Class CSSFunctionValue

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSFunctionValue`

Implemented Interfaces:
  CSSValue, Serializable

Known Direct Subclasses:
  CSSAttrFunction, CSSCompoundAttrFunction

`public class CSSFunctionValue`
`extends java.lang.Object`
`implements CSSValue`

Creation-Date: 27.11.2005, 20:18:52

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSFunctionValue(String functionName, CSSValue[] parameters)`

  ## Method Summary

  `String`

  `getCSSText()`

  `String`

  `getFunctionName()`

  `CSSValue[]`

  `getParameters()`

  `String`

  `toString()`
    Returns a string representation of the object.

## Constructor Details

### CSSFunctionValue

    public CSSFunctionValue(String functionName,
                            CSSValue[] parameters)

## Method Details

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getFunctionName

    public String getFunctionName()

### getParameters

    public CSSValue[] getParameters()

### toString

    public String toString()

> Returns a string representation of the object.
> Returns:
>   a string representation of the object.